# Мета крестики-нолики
Проект предоставляет возможность поиграть в игру "крестики нолики" в терминале. На выбор представлено две версии игры: обычная и **мета-версия**, где в поле 3 на 3 каждая клетка представляет собой еще одно поле для игры. 

![map](./map.png)
## Начало работы
Получить копию:
```bash
git clone http://gogs.ngknn.ru:3000/nositelshtanov/MetaTicTacToe
```
### Необходимые условия
Для сборки проекта необходимо иметь установленный cmake на компьютере. Для windows также понадобидся visual studio.

Установить [cmake](https://cmake.org/download/) на windows

Установить [visual studio](https://visualstudio.microsoft.com/downloads/)


На Linux устанавливаем cmake так (debian based):
```bash
sudo apt install cmake -y
```
### Установка
#### Linux
Переходим в корневой каталог проекта и вводим следующее:
```bash
mkdir build
cd build/
cmake ..
make
./ttt
```

![run example](./example.png)

#### Windows
```bash
git clone http://gogs.ngknn.ru:3000/nositelshtanov/MetaTicTacToe
cd MetaTicTacToe
git checkout main
mkdir build
cd build
cmake ..
```
- Затем открываем решение build/ttt.sln в visual studio
- Запускаем проект (он сбилдится)
- Открываем каталог build/Debug в cmd 
- Запускаем ttt.exe

## Авторы
Грошев Илья - [gogs profile](http://gogs.ngknn.ru:3000/nositelshtanov)
